// 表单属性【右面板】
export const formConf = {
  formRef: 'elForm',
  formModel: 'dataForm',
  size: 'small',
  labelPosition: 'right',
  labelWidth: 100,
  formRules: 'rules',
  popupType: 'general',
  generalWidth: '60%',
  fullScreenWidth: '100%',
  gutter: 15,
  disabled: false,
  span: 24,
  formBtns: false,
  cancelButtonText: '取 消',
  confirmButtonText: '确 定',
  formStyle: '',
  idGlobal: 100,
  deleteDataCheckReferenceRelation: 0,
  deleteDataIgnoringReferenceRelationIds: [],
  importTemplatePath: '',
  importTemplatePathFileList: []
}
const event = {
  isEvent: true,
  evenList: []
}
// 基础控件 【左面板】
export const inputComponents = [
  {
    __config__: {
      jnpfKey: 'comInput',
      label: '单行输入',
      labelWidth: undefined,
      showLabel: true,
      tag: 'NewInput',
      tagIcon: 'icon-ym icon-ym-generator-input',
      defaultValue: undefined,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'blur',
      inputType: '',

      dataType: 'dynamic',
      dictionaryType: '',
      relationSelectId: '',
      propsUrl: '',
      ApiParams: [],
      ApiReturn: [],
      apiProps: {
        label: '',
        value: '',
        fitLabel: [],
        labelSeparator: ''
      },
      props: {
        label: 'fullName',
        value: 'id'
      },
      viewDataType: 'STRING'
    },
    defaultVarType: [], //api全局表单变量
    cascaderType: '', // 级联父子级
    defaultValueExp: null,
    __slot__: {
      prepend: '',
      append: ''
    },
    // __logic__:{
    //   op:'',
    //   setType:'',
    //   deVal:''
    // },
    displayNone: false,
    placeholder: '请输入',
    style: { width: '100%' },
    clearable: true,
    'prefix-icon': '',
    'suffix-icon': '',
    maxlength: null,
    'show-word-limit': false,
    'show-password': false,
    readonly: false,
    disabled: false,
    allVar: false,
    isUrl: false,
    isText: false,
    isScan: false,
    anotherName: false,
    anotherNameList: [],
    ApiReturn: [],
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    }, //关联设置
    // 事件配置
    event
  },
  {
    __config__: {
      jnpfKey: 'textarea',
      label: '多行输入',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-textarea',
      defaultValue: undefined,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'blur',
      viewDataType: 'STRING',
      ApiReturn: []
    },
    h: 4,
    type: 'textarea',
    placeholder: '请输入',
    autosize: {
      minRows: 4,
      maxRows: 4
    },
    style: { width: '100%' },
    maxlength: null,
    'show-word-limit': true,
    readonly: false,
    disabled: false
  },
  // {
  //   __config__: {
  //     jnpfKey: 'YangFormInputNumber',
  //     label: '数字输入',
  //     showLabel: true,
  //     labelWidth: undefined,
  //     tag: 'YangForm',
  //     tagIcon: 'icon-ym icon-ym-generator-number',
  //     defaultValue: undefined,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: ['blur', 'change'],
  //     inputType: '',
  //     viewDataType: 'NUMBER'
  //   },
  //   optionType: 'input-number',
  //   defaultVarType: [],
  //   defaultValueExp: null,
  //   placeholder: '数字文本',
  //   min: undefined,
  //   max: undefined,
  //   step: 1,
  //   'step-strictly': false,
  //   precision: undefined,
  //   'controls-position': 'right',
  //   displayNone: false,
  //   disabled: false,
  //   relationData: {
  //     itemRelationTable: '',
  //     RelationTableCubeId: '', //关联表单数据集id
  //     showTitle: [],
  //     isCheck: false,
  //     itemRelationList: [],
  //     PrimaryId: '',
  //     associationSeparator: ';' //分隔符
  //   } //关联设置
  // },
  {
    __config__: {
      jnpfKey: 'numInput',
      label: '数字输入',
      showLabel: true,
      labelWidth: undefined,
      tag: 'el-input-number',
      tagIcon: 'icon-ym icon-ym-generator-number',
      defaultValue: undefined,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: ['blur', 'change'],
      inputType: '',
      viewDataType: 'NUMBER'
    },
    slotAppend: '',
    slotPrepend: '',
    defaultVarType: [],
    defaultValueExp: null,
    placeholder: '数字文本',
    min: undefined,
    max: undefined,
    step: 1,
    'step-strictly': false,
    precision: undefined,
    'controls-position': 'right',
    displayNone: false,
    disabled: false,
    anotherName: false,
    anotherNameList: [],
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'switch',
      label: '开关',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-switch',
      tagIcon: 'icon-ym icon-ym-generator-switch',
      defaultValue: false,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      viewDataType: 'NUMBER'
    },
    disabled: false,
    'active-text': '',
    'inactive-text': '',
    'active-color': null,
    'inactive-color': null,
    'active-value': '1',
    'inactive-value': '0',
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'radio',
      label: '单选框组',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-radio-group',
      tagIcon: 'icon-ym icon-ym-generator-radio',
      defaultValue: undefined,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      optionType: 'default',
      border: false,
      dataType: 'static',
      dictionaryType: '',
      propsUrl: '',
      props: {
        label: 'fullName',
        value: 'id'
      },
      viewDataType: 'STRING'
    },
    __slot__: {
      options: [
        {
          fullName: '选项一',
          id: '选项一'
        },
        {
          fullName: '选项二',
          id: '选项二'
        }
      ]
    },
    style: {},
    size: 'small',
    disabled: false,
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'checkbox',
      label: '多选框组',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-checkbox-group',
      tagIcon: 'icon-ym icon-ym-generator-checkbox',
      defaultValue: [],
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      optionType: 'default',
      border: false,
      dataType: 'static',
      dictionaryType: '',
      propsUrl: '',
      props: {
        label: 'fullName',
        value: 'id'
      },
      viewDataType: 'STRING'
    },
    __slot__: {
      options: [
        {
          fullName: '选项一',
          id: '选项一'
        },
        {
          fullName: '选项二',
          id: '选项二'
        }
      ]
    },
    style: {},
    size: 'small',
    disabled: false,
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'select',
      label: '下拉选择',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-select',
      tagIcon: 'icon-ym icon-ym-generator-select',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      dataType: 'static',
      dictionaryType: '',
      relationSelectId: '',
      propsUrl: '',
      ApiParams: [],
      ApiReturn: [],
      apiProps: {
        label: '',
        value: '',
        fitLabel: [],
        labelSeparator: ''
      },
      props: {
        label: 'fullName',
        value: 'id'
      },
      viewDataType: 'STRING'
    },
    displayNone: false,
    __slot__: {
      options: [
        {
          relation: '',
          fullName: '选项一',
          id: '选项一'
        },
        {
          relation: '',
          fullName: '选项二',
          id: '选项二'
        }
      ]
    },
    // __logic__:{
    //   op:'',
    //   setType:'',
    //   deVal:''
    // },
    varRepeat: false,
    placeholder: '请选择',
    style: { width: '100%' },
    clearable: true,
    disabled: false,
    filterable: true,
    multiple: false,
    allVar: false,
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'cascader',
      label: '级联选择',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-cascader',
      tagIcon: 'icon-ym icon-ym-generator-cascader',
      defaultValue: [],
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      dataType: 'static',
      propsUrl: '',
      dictionaryType: '',
      ApiParams: [],
      ApiReturn: [],
      apiProps: {
        label: '',
        value: '',
        idKey: '',
        pidKey: '',
        fitLabel: []
      },
      viewDataType: 'STRING'
    },
    options: [
      {
        id: '1',
        fullName: '选项1',
        children: [
          {
            id: '2',
            fullName: '选项1-1'
          }
        ]
      }
    ],
    varRepeat: false,
    placeholder: '请选择',
    style: { width: '100%' },
    props: {
      props: {
        multiple: false,
        value: 'id',
        label: 'fullName',
        children: 'children',
        emitPath: false,
        checkStrictly: false,
        separator: ';'
      }
    },
    'show-all-levels': true,
    disabled: false,
    clearable: true,
    filterable: true,
    separator: '/',
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'time',
      label: '时间选择',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-time-picker',
      tagIcon: 'icon-ym icon-ym-generator-time',
      defaultValue: null,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      viewDataType: 'DATETIME'
    },
    placeholder: '请选择',
    style: { width: '100%' },
    disabled: false,
    clearable: true,
    readonly: false,
    'picker-options': {
      selectableRange: '00:00:00-23:59:59'
    },
    format: 'HH:mm:ss',
    'value-format': 'timestamp',
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'date',
      label: '日期选择',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-date-picker',
      tagIcon: 'icon-ym icon-ym-generator-date',
      defaultValue: null,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      viewDataType: 'DATETIME'
    },
    placeholder: '请选择',
    type: 'date',
    defaultDay: false,
    editChange: false,
    style: { width: '100%' },
    disabled: false,
    clearable: true,
    format: 'yyyy-MM-dd',
    'value-format': 'timestamp',
    displayNone: false,
    readonly: false,
    relationData: {
      itemRelationTable: '',
      RelationTableCubeId: '', //关联表单数据集id
      showTitle: [],
      isCheck: false,
      itemRelationList: [],
      PrimaryId: '',
      associationSeparator: ';' //分隔符
    } //关联设置
  },
  {
    __config__: {
      jnpfKey: 'uploadFz',
      label: '文件上传',
      labelWidth: undefined,
      showLabel: true,
      tag: 'JNPF-UploadFz',
      tagIcon: 'icon-ym icon-ym-generator-upload',
      defaultValue: [],
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'click',
      viewDataType: 'STRING'
    },
    disabled: false,
    accept: '',
    fileSize: 2,
    sizeUnit: 'MB',
    buttonText: '点击上传',
    showTip: false,
    limit: 9
  },
  {
    __config__: {
      jnpfKey: 'uploadImg',
      label: '图片上传',
      labelWidth: undefined,
      showLabel: true,
      tag: 'JNPF-UploadImg',
      tagIcon: 'icon-ym icon-ym-generator-upload',
      defaultValue: [],
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'click',
      viewDataType: 'STRING'
    },
    h: 4,
    disabled: false,
    accept: '',
    showTip: false,
    fileSize: 2,
    sizeUnit: 'MB',
    limit: 9,
    // 是否开启扫码上传
    scanCode: false
  },
  // {
  //   __config__: {
  //     jnpfKey: 'colorPicker',
  //     label: '颜色选择',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'el-color-picker',
  //     tagIcon: 'icon-ym icon-ym-generator-color',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   'show-alpha': false,
  //   'color-format': '',
  //   disabled: false,
  //   size: 'small'
  // },
  {
    __config__: {
      jnpfKey: 'rate',
      label: '评分',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-rate',
      tagIcon: 'icon-ym icon-ym-generator-rate',
      defaultValue: 0,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'change',
      viewDataType: 'NUMBER'
    },
    style: {},
    max: 5,
    'allow-half': false,
    'show-text': false,
    'show-score': false,
    disabled: false
  },
  // {
  //   __config__: {
  //     jnpfKey: 'slider',
  //     label: '滑块',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'el-slider',
  //     tagIcon: 'icon-ym icon-ym-generator-slider',
  //     defaultValue: undefined,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   disabled: false,
  //   min: 0,
  //   max: 100,
  //   step: 1,
  //   'show-stops': false,
  //   range: false
  // },
  {
    __config__: {
      jnpfKey: 'divider',
      label: '分割线',
      labelWidth: undefined,
      showLabel: false,
      tag: 'el-divider',
      tagIcon: 'icon-ym icon-ym-generator-divider',
      defaultValue: null,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false
    },
    __slot__: {
      default: '我是分割线'
    },
    'content-position': 'center'
  },
  {
    __config__: {
      jnpfKey: 'new-divider',
      label: '自定义分割线',
      labelWidth: undefined,
      showLabel: false,
      tag: 'NewDivider',
      tagIcon: 'icon-ym icon-ym-generator-divider',
      defaultValue: null,
      bgColor: 'rgba(250, 129, 24,1)',
      required: false,
      layout: 'colFormItem',
      type: '0',
      span: 24,
      dragDisabled: false,
      fontStyle: {
        color: 'rgba(0, 0, 0,1)',
        size: 14
      },
      svgModel: '1'
    },
    displayNone: false,
    __slot__: {
      default: '我是分割线'
    }
  },
  {
    __config__: {
      jnpfKey: 'JNPFText',
      label: '文本',
      labelWidth: undefined,
      showLabel: false,
      tag: 'JNPF-Text',
      tagIcon: 'icon-ym icon-ym-generator-textarea',
      defaultValue: '这是一段文字',
      required: false,
      layout: 'colFormItem',
      span: 24,
      inputType: 1,
      dragDisabled: false
    },
    defaultValueExp: null,
    style: { width: '100%' },
    textStyle: {
      color: '#000000',
      'text-align': 'left',
      'font-weight': 'normal',
      'font-style': 'normal',
      'text-decoration': 'none',
      'line-height': 32,
      'font-size': 12
    }
  },
  {
    __config__: {
      jnpfKey: 'editor',
      label: '富文本',
      labelWidth: undefined,
      showLabel: true,
      tag: 'JNPF-Quill',
      tagIcon: 'icon-ym icon-ym-generator-rich-text',
      defaultValue: null,
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      regList: [],
      trigger: 'blur',
      viewDataType: 'STRING'
    },
    h: 6,
    placeholder: '请输入内容...'
  }
  // {
  //   __config__: {
  //     jnpfKey: 'JNPFMap',
  //     label: '地图选址',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'JNPF-Map',
  //     tagIcon: 'icon-ym icon-ym-generator-rich-text',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'blur',
  //     viewDataType: 'STRING'
  //   },
  //   h: 6,
  //   placeholder: '请输入内容...'
  // }
]

// 高级控件 【左面板】
export const selectComponents = [
  // {
  //   __config__: {
  //     jnpfKey: 'comSelect',
  //     label: '公司组件',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'com-select',
  //     tagIcon: 'icon-ym icon-ym-generator-company',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'depSelect',
  //     label: '部门组件',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'dep-select',
  //     tagIcon: 'icon-ym icon-ym-generator-department',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'posSelect',
  //     label: '岗位组件',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'pos-select',
  //     tagIcon: 'icon-ym icon-ym-generator-jobs',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   multiple: false,
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'userSelect',
  //     label: '用户组件',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'user-select',
  //     tagIcon: 'icon-ym icon-ym-generator-user',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   multiple: false,
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'treeSelect',
  //     label: '树形选择',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'JNPFTreeSelect',
  //     tagIcon: 'icon-ym icon-ym-generator-tree',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change',
  //     dataType: 'static',
  //     dictionaryType: '',
  //     propsUrl: ''
  //   },
  //   placeholder: '请选择',
  //   props: {
  //     props: {
  //       value: 'id',
  //       label: 'fullName',
  //       children: 'children'
  //     }
  //   },
  //   options: [{
  //     id: "1",
  //     fullName: '选项1',
  //     children: [{
  //       id: "2",
  //       fullName: '选项1-1'
  //     }]
  //   }],
  //   multiple: false,
  //   clearable: true,
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'billRule',
  //     label: '单据组件',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'el-input',
  //     defaultValue: '' || null,
  //     tagIcon: 'icon-ym icon-ym-generator-documents',
  //     layout: 'colFormItem',
  //     required: false,
  //     span: 24,
  //     dragDisabled: false,
  //     trigger: 'change',
  //     rule: ''
  //   },
  //   readonly: true,
  //   placeholder: '系统自动生成',
  // },
  {
    __config__: {
      jnpfKey: 'table',
      label: '设计子表',
      showLabel: false,
      tagIcon: 'icon-ym icon-ym-generator-table',
      tag: 'JNPF-InputTable',
      defaultValue: [],
      layout: 'rowFormItem',
      dragDisabled: false,
      showTitle: true,
      type: 'table',
      rowType: 'table',
      children: [],
      tableName: '',
      dbSourceId: ''
    },
    mainTableFields: [],
    tables: [],
    relationTables: [],
    dbLinkId: '',
    oldDbLinkId: '',
    relationConf: {
      primaryModel: '',
      primaryModelName: '',
      foreignModel: '',
      foreignModelName: '',
      itemRelationTable: '',
      filterColumnList: [{ columnId: '', viewDataType: 'STRING', function: 'like', value: '' }]
    },
    relationConfFlag: true,
    relationColumnList: [],
    disabled: false,
    actionText: '添加',
    relationActionText: '选择数据',
    'show-summary': false,
    tableConf: {},
    defaultValue: [],
    isScan: false
  },
  {
    __config__: {
      jnpfKey: 'serialNumber',
      label: '流水号',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-founder',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      viewDataType: 'STRING'
    },
    serialgz: [{ type: 'incNumber', digitsNum: 5, fixedLength: true, resetCycle: 0, startValue: 1 }],
    displayNone: false,
    readonly: true,
    placeholder: '自动生成无需填写'
  }
  // {
  //   __config__: {
  //     jnpfKey: 'address',
  //     label: '省市区联动',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'JNPF-Address',
  //     tagIcon: 'icon-ym icon-ym-generator-Provinces',
  //     defaultValue: [],
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   disabled: false,
  //   level: 2
  // }
]

// 系统控件 【左面板】
export const systemComponents = [
  {
    __config__: {
      jnpfKey: 'createUser',
      label: '创建人员',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-founder',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'realName'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'createUserId',
      label: '创建人员ID',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-founder',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'id'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'modifyUser',
      label: '修改人员',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-modifier',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'realName'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'modifyUserId',
      label: '修改人员ID',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-founder',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'id'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'createTime',
      label: '创建时间',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-date-picker',
      tagIcon: 'icon-ym icon-ym-generator-createtime',
      defaultValue: '',
      layout: 'colFormItem',
      required: false,
      span: 24,
      dragDisabled: false,
      noShow: false,
      viewDataType: 'DATETIME'
    },
    style: { width: '100%' },
    displayNone: false,
    format: 'yyyy-MM-dd HH:mm:ss',
    'value-format': 'timestamp',
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'modifyTime',
      label: '修改时间',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-date-picker',
      tagIcon: 'icon-ym icon-ym-generator-modifytime',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      viewDataType: 'DATETIME'
    },
    style: { width: '100%' },
    displayNone: false,
    'value-format': 'timestamp',
    format: 'yyyy-MM-dd HH:mm:ss',
    readonly: true,
    placeholder: '系统自动生成'
  },
  // {
  //   __config__: {
  //     jnpfKey: 'currOrganize',
  //     label: '所属公司',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'el-input',
  //     tagIcon: 'icon-ym icon-ym-generator-company',
  //     defaultValue: '',
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     noShow: false
  //   },
  //   readonly: true,
  //   placeholder: '系统自动生成'
  // },
  {
    __config__: {
      jnpfKey: 'currDept',
      label: '所属部门',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-department',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'deptName'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  },
  {
    __config__: {
      jnpfKey: 'currPosition',
      label: '所属岗位',
      labelWidth: undefined,
      showLabel: true,
      tag: 'el-input',
      tagIcon: 'icon-ym icon-ym-generator-station',
      defaultValue: '',
      required: false,
      layout: 'colFormItem',
      span: 24,
      dragDisabled: false,
      noShow: false,
      key: 'postName'
    },
    displayNone: false,
    readonly: true,
    placeholder: '系统自动生成'
  }
]

// 布局控件 【左面板】
export const layoutComponents = [
  // {
  //   __config__: {
  //     jnpfKey: 'groupTitle',
  //     label: '分组标题',
  //     labelWidth: undefined,
  //     showLabel: false,
  //     tag: 'groupTitle',
  //     tagIcon: 'icon-ym icon-ym-generator-group',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false
  //   },
  //   content: "分组标题",
  //   'content-position': "left"
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'card',
  //     label: '卡片容器',
  //     showLabel: false,
  //     tag: 'el-card',
  //     tagIcon: 'icon-ym icon-ym-generator-card',
  //     defaultValue: [],
  //     layout: 'rowFormItem',
  //     span: '24',
  //     dragDisabled: false,
  //     children: [],
  //   },
  //   h:6,
  //   header: '卡片容器',
  //   shadow: 'always'
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'row',
  //     label: '栅格容器',
  //     tagIcon: 'icon-ym icon-ym-generator-layout',
  //     layout: 'rowFormItem',
  //     span: '24',
  //     dragDisabled: false,
  //     layoutTree: true,
  //     rowType: 'layout'
  //   },
  //   h: 4,
  //   type: 'default',
  //   justify: 'start',
  //   align: 'top'
  // },
  {
    __config__: {
      jnpfKey: 'tab',
      label: '标签页',
      showLabel: false,
      tag: 'el-tab',
      tagIcon: 'icon-ym icon-ym-generator-label',
      layout: 'rowFormItem',
      span: '24',
      dragDisabled: false,
      children: [
        {
          title: 'Tab 1',
          __config__: {
            children: []
          }
        },
        {
          title: 'Tab 2',
          __config__: {
            children: []
          }
        }
      ],
      active: 0
    },
    h: 6,
    type: '',
    'tab-position': 'top'
  },
  {
    __config__: {
      jnpfKey: 'PlaceholderCom',
      label: '占位控件',
      tag: 'PlaceholderCom',
      layout: 'colFormItem',
      span: 24,
      text: ''
    },
    h: 6,
    type: ''
  }
  // {
  //   __config__: {
  //     jnpfKey: 'associatedData',
  //     label: '关联数据',
  //     labelWidth: undefined,
  //     showLabel: true,
  //     tag: 'associated-data',
  //     tagIcon: 'icon-ym icon-ym-generator-table',
  //     defaultValue: null,
  //     required: false,
  //     layout: 'colFormItem',
  //     span: 24,
  //     dragDisabled: false,
  //     regList: [],
  //     trigger: 'change'
  //   },
  //   placeholder: '请选择',
  //   multiple: false,
  //   disabled: false
  // },
  // {
  //   __config__: {
  //     jnpfKey: 'collapse',
  //     label: '折叠面板',
  //     showLabel: false,
  //     tag: 'el-collapse',
  //     tagIcon: 'icon-ym icon-ym-generator-fold',
  //     layout: 'rowFormItem',
  //     span: '24',
  //     dragDisabled: false,
  //     children: [{
  //       title: '面板1',
  //       name: '1',
  //       __config__: {
  //         children: []
  //       }
  //     }, {
  //       title: '面板2',
  //       name: '2',
  //       __config__: {
  //         children: []
  //       }
  //     }],
  //     active: ['1']
  //   },
  //   h:6,
  //   accordion: false
  // }
]
